@import "../../../../styles/global/var";
@import "../../../../styles/global/var-pages";

runs-filter-mobile {
    display: block;
    position: sticky;
    top: $header_height;
    z-index:  $zindex-fixed - 1;
    margin-right: -#{$page-padding-right-left-mobile};
    margin-left: -#{$page-padding-right-left-mobile};
}

.runs-filter-mobile {
    height: $mobile-filters-height;
    max-height: $mobile-filters-height;
    background-color: $main_container_bg-new;

    &__content {
        padding: 8px 16px;
        display: inline-flex;
        height: 100%;
        max-height: 100%;
        align-items: center;
        &-wrapper {
            max-width: 100%;
            overflow-x: auto;
        }
    }
    &__btn {
        padding: 4px 8px;
        border: 1px solid $blue-dark;
        font-weight: 500;
        font-size: 12px;
        line-height: 14px;
        color: $blue-dark;
        border-radius: 12px;
        background-color: transparent;
        white-space: nowrap;
        max-width: 204px;
        overflow-x: hidden;
        text-overflow: ellipsis;
        flex: none;
        height: 24px;
        &._create {
            width: 32px;
            height: 32px;
            background-color: $gray3e5;
            border-color: $gray3e5;
            border-radius: 4px;
            position: relative;
            color: $black;
            md-icon {
                position: absolute;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                margin: auto;
                color: currentColor;
            }
            &._active {
                background-color: $brand-light;
                border-color: $brand-light;
                color: $white;
            }
        }
        &._active {
            background-color: $blue-dark;
            color: $white;
        }
        &._see-all {
            border-color: transparent;
            color: $brand-light;
        }
    }
    &__btn + &__btn {
        margin-left: 16px;
    }
}
